From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/slim/
Date: Fri, 10 Nov 2017 06:57:51 +0000 (UTC) [thread overview]
Message-ID: <1510296795.fce97924a9895029fcbf11f445b6b58aad12be89.graaff@gentoo> (raw)
commit: fce97924a9895029fcbf11f445b6b58aad12be89
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 10 06:52:55 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Nov 10 06:53:15 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fce97924
dev-ruby/slim: add 3.0.9
Package-Manager: Portage-2.3.8, Repoman-2.3.3
dev-ruby/slim/Manifest | 1 +
dev-ruby/slim/slim-3.0.9.ebuild | 50 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-ruby/slim/Manifest b/dev-ruby/slim/Manifest
index ebe2d05d399..8a036b867a7 100644
--- a/dev-ruby/slim/Manifest
+++ b/dev-ruby/slim/Manifest
@@ -1,2 +1,3 @@
DIST slim-3.0.7.gem 97280 SHA256 1747e293c161fdb21547f27b2eb585af26c19baa3110866a28e10d3b05ab5088 SHA512 b410ed35941a3cfc68f8ab5649450381f830f94c8503e062afcd097f5a669df4cf8035d0baefd42bffaad5d12766baf70bad3eed82149fd861f615649ee469c0 WHIRLPOOL 941e29de5ef4d9a8e720e98ed65b6992089b954f9991b4f9481b977d0f9eac295d9f07374403c5875a9a22ebc2687fe13e66e6808f17e0ad69f5686f029d9300
DIST slim-3.0.8.gem 99328 SHA256 5f6e5cffd9ef1404544d756bb224c5b1395a71043306d427b23497c67be297eb SHA512 c9ed748c221f1bc25f3442900e93db6674520388c8d958bb40516172b97da042cd2e20fd924f9c85382b08eb39e399ae675c4d4e0b1d884ceef7339697345dd4 WHIRLPOOL 05c55e8f34d0100c7fdc80ce3a155eefe980a4e42ef43c6f2283b6bb64084dc53015388cffb67eb36b8404a19568417f46788d3a7a9cec479764b7ad6a6f3d65
+DIST slim-3.0.9.gem 99840 SHA256 74df41b42bf4cfed22dd2524dba203a9621718ce7fba1b54cdd42edd07029f7f SHA512 220dbcde230aab05e294022924346fbb02a1bf813a7c97910c2f60d7b3a7dd498d04f6f4f2883b895d2a3e6e9f526331914e3ab4560e748de2bd991358cca90d WHIRLPOOL 72b5d567176091dca63af842924689fa226ff429dfc3ac36dc4a3b32bbfc5783a1f8c244bf04a8e9af609a56eafd95b29d1473ea6346b30519d8542146f02507
diff --git a/dev-ruby/slim/slim-3.0.9.ebuild b/dev-ruby/slim/slim-3.0.9.ebuild
new file mode 100644
index 00000000000..0cf97cb83d0
--- /dev/null
+++ b/dev-ruby/slim/slim-3.0.9.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_TASK_DOC="yard"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A template language aiming to reduce the syntax to the essential parts"
+HOMEPAGE="http://slim-lang.com/"
+LICENSE="MIT"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+SLOT="0"
+IUSE="doc"
+
+ruby_add_rdepend ">=dev-ruby/tilt-1.3.3:* <dev-ruby/tilt-2.1:*
+ >=dev-ruby/temple-0.7.6:0.7"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard dev-ruby/redcarpet )"
+
+ruby_add_bdepend "test? ( dev-ruby/sass )"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/I s:^:#:' Rakefile || die
+
+ # This sinatra code expects tests to be installed but we strip those.
+ sed -i -e "s/require 'sinatra'/require 'bogussinatra'/" Rakefile || die
+
+ # Avoid tests for things we don't have. The builder test does not pass with tilt 2.x
+ sed -i -e '/test_wip_render_with_asciidoc/,/^ end/ s:^:#:' \
+ -e '/test_render_with_wiki/,/^ end/ s:^:#:' \
+ -e '/test_render_with_creole/,/^ end/ s:^:#:' \
+ -e '/test_render_with_builder/,/^ end/ s:^:#:' \
+ -e '/test_render_with_org/,/^ end/ s:^:#:' test/core/test_embedded_engines.rb || die
+
+ sed -i -e '/s\.files/ s/git ls-files/find . -type f -print/' \
+ -e '/s\.executables/ s:git ls-files -- bin/\*:find bin -type f -print:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_prepare() {
+ sed -i -e '/Open3/ s:ruby:'${RUBY}':' test/core/test_commands.rb || die
+}
next reply other threads:[~2017-11-10 6:57 UTC|newest]
Thread overview: 95+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-10 6:57 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-09 5:46 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/slim/ Sam James
2024-10-06 18:39 Arthur Zamarin
2024-10-06 13:30 Arthur Zamarin
2024-03-07 6:19 Hans de Graaff
2024-02-08 17:59 Hans de Graaff
2023-11-12 7:07 Hans de Graaff
2023-11-12 7:07 Hans de Graaff
2023-08-29 6:01 Hans de Graaff
2023-08-29 6:01 Hans de Graaff
2023-08-02 13:19 Sam James
2023-07-24 8:54 Jakov Smolić
2023-06-12 2:27 Sam James
2023-06-02 11:07 Arthur Zamarin
2023-06-01 6:22 Sam James
2023-06-01 5:56 Sam James
2023-06-01 5:31 Sam James
2023-06-01 5:31 Sam James
2023-04-09 1:28 Sam James
2023-04-03 5:08 Sam James
2023-04-02 2:56 Sam James
2023-04-02 2:56 Sam James
2023-04-02 2:56 Sam James
2023-03-28 22:12 Sam James
2023-03-28 22:12 Sam James
2023-01-23 7:17 Hans de Graaff
2022-12-19 6:42 Hans de Graaff
2022-12-18 14:43 Hans de Graaff
2022-12-18 9:27 Sam James
2022-12-18 9:27 Sam James
2022-12-18 9:18 Sam James
2022-12-04 7:21 Hans de Graaff
2022-07-17 6:50 Hans de Graaff
2022-06-19 8:24 Agostino Sarubbo
2022-06-19 8:15 Agostino Sarubbo
2022-06-19 8:14 Agostino Sarubbo
2022-03-20 10:04 Hans de Graaff
2021-12-31 10:56 Sam James
2021-11-08 2:51 Yixun Lan
2021-10-10 23:45 Sam James
2021-10-10 21:48 Sam James
2021-10-10 20:43 Sam James
2021-10-10 0:09 Sam James
2021-10-08 6:15 Hans de Graaff
2021-10-06 5:33 Hans de Graaff
2021-10-06 5:33 Hans de Graaff
2021-10-03 6:30 Hans de Graaff
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:49 Sam James
2021-10-02 18:48 Sam James
2021-10-02 18:48 Sam James
2021-10-02 18:40 Sam James
2021-10-02 18:40 Sam James
2020-12-24 7:41 Hans de Graaff
2020-07-25 17:10 Hans de Graaff
2020-05-10 5:50 Hans de Graaff
2019-11-04 18:34 Hans de Graaff
2019-11-04 18:34 Hans de Graaff
2019-03-04 6:42 Hans de Graaff
2019-02-11 5:59 Hans de Graaff
2019-02-10 17:51 Mikle Kolyada
2018-12-19 22:48 Sergei Trofimovich
2018-09-11 4:50 Hans de Graaff
2018-08-31 6:20 Hans de Graaff
2018-07-19 19:16 Hans de Graaff
2018-06-06 23:23 Thomas Deutschmann
2018-06-02 13:50 Mikle Kolyada
2018-05-23 4:47 Hans de Graaff
2018-03-22 20:23 Jeroen Roovers
2018-01-25 6:34 Hans de Graaff
2017-10-01 0:56 Thomas Deutschmann
2017-10-01 0:56 Thomas Deutschmann
2017-07-24 5:28 Hans de Graaff
2017-07-03 9:12 Alexis Ballier
2017-05-18 5:22 Hans de Graaff
2017-05-18 5:22 Hans de Graaff
2017-02-27 18:55 Michael Weber
2017-02-20 6:52 Hans de Graaff
2017-02-19 14:05 Hans de Graaff
2016-10-29 14:59 Manuel Rüger
2016-08-07 6:57 Hans de Graaff
2016-08-07 6:57 Hans de Graaff
2016-08-03 16:57 Alexis Ballier
2016-05-22 6:14 Hans de Graaff
2016-05-22 6:14 Hans de Graaff
2016-03-06 19:08 Manuel Rüger
2016-03-06 19:08 Manuel Rüger
2015-11-01 7:15 Hans de Graaff
2015-11-01 7:15 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1510296795.fce97924a9895029fcbf11f445b6b58aad12be89.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox